Skip to main content
GET
/
api
/
v1
/
hub
/
{hub_id}
/
search
/
media
Member Search Media
curl --request GET \
  --url https://api.member.dev/api/v1/hub/{hub_id}/search/media \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "end_seconds": 123,
        "highlights": [
          {}
        ],
        "lexical_rank": 123,
        "media_id": "<string>",
        "rrf_score": 123,
        "semantic_rank": 123,
        "share_url": "<string>",
        "snippet": "<string>",
        "source_type": "<string>",
        "start_seconds": 123
      },
      "id": "<string>",
      "type": "<string>",
      "links": {
        "self": "<string>"
      },
      "meta": {},
      "relationships": {}
    }
  ],
  "included": [
    "<unknown>"
  ],
  "links": {
    "next": "<string>",
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hub_id
string
required

Query Parameters

q
string
required

Search query string.

Minimum string length: 1
page[size]
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

Collection JSON:API response wrapping a list of MediaSearchResultResources.

data
JsonApiResource[MediaSearchResultAttributes] · object[]
required
included
any[] | null
meta
Meta · object